aboutsummaryrefslogtreecommitdiffstats
path: root/main/py-simplejson
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-06-26 13:02:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-06-26 13:13:58 +0000
commitd86463d08937def2ecc240b90648e018701ddcdb (patch)
treeb3c8b2f9aa04ccdaeb1d0f6ee147c78a102b5d5b /main/py-simplejson
parenta748a630913adef55a37beb61a913a956e7c5801 (diff)
downloadaports-d86463d08937def2ecc240b90648e018701ddcdb.tar.gz
aports-d86463d08937def2ecc240b90648e018701ddcdb.tar.bz2
aports-d86463d08937def2ecc240b90648e018701ddcdb.tar.xz
main/py-simplejson: moved from testing
Diffstat (limited to 'main/py-simplejson')
-rw-r--r--main/py-simplejson/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/main/py-simplejson/APKBUILD b/main/py-simplejson/APKBUILD
new file mode 100644
index 0000000000..40f6cb127e
--- /dev/null
+++ b/main/py-simplejson/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=py-simplejson
+_pkgname=simplejson
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="Simple, fast, extensible JSON encoder/decoder for Python"
+url="http://pypi.python.org/pypi/simplejson/"
+arch="all"
+license="PSF"
+depends=""
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="71df0076d4a35d29bfea530cb8226c26 simplejson-3.1.0.tar.gz"
+sha256sums="10c743fbec819e6ad77999c551f4b620ed498c2dd565c64365f0571b3a252523 simplejson-3.1.0.tar.gz"
+sha512sums="c456c689a72ea6d8bae5bd7cc6f41713faca8b4fdd5728694479b861c01d7191aa4e8e864773133093f1c591d2f5ac819b3ac2023bbe59c1793c37aa8e6e88b1 simplejson-3.1.0.tar.gz"